<%@page contentType="text/html" %>
<%@page pageEncoding="UTF-8" %>
<%@page language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" href="style.css" type="text/css" />
        <title>RandoOnLine - Contenu du Panier</title>
    </head>
    <body>

    <h1>RandoOnLine</h1>
    <table border="0" width="100%">
        <thead>
            <tr>
                <th><a href="./index.jsp">Accueil</a></th>
                <th>Panier</th>
                <th><a href="./Articles">Liste des articles</a></th>
                <th><a href="./Panier?action=valider">Passer  la caisse</a></th>
            </tr>
        </thead>
    </table>
    
    <h2>Contenu du Panier</h2>

	<form method="post" action="./Panier">
    <table border="0" width="100%">
        <thead>
            <tr>
                <th>Aperu</th>
                <th>Proprits</th>
                <th>Quantit</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
<c:forEach items="${articles}" var="artRef" >
            <tr>
                <td>
                    <img src="./img/${artRef.photo}" width="50" height="50" alt="image"/>
                </td>
                <td>
                    <table border="0" width="100%" height="100%">
                        <tbody>
                            <tr>
                                <td>R&eacute;f&eacute;rence : ${artRef.ref}</td>
                            </tr>
                            <tr>
                                <td>Marque : ${artRef.marque}</td>
                            </tr>
                            <tr>
                                <td>Mod&egrave;le : ${artRef.modele}</td>
                            </tr>
                            <tr>
                                <td>Prix : ${artRef.prix}</td>
                            </tr>
                        </tbody>
                    </table>
                </td>
                <td>
                    <input type="text" id="${artRef.ref}" name="${artRef.ref}" maxLength="3" size="3" value="${artRef.quantite}" />
                </td>
                <td>
                    <a href="./Panier?action=del&artRef=${artRef.ref}">enlever</a>
                </td>
            </tr>
</c:forEach>
			<tr>
                <td colspan="3" class="tabTotal">Total :</td>
                <td>
<jsp:useBean id="panierTotal" class="com.articles.Panier" scope="request" />
					<jsp:getProperty name="panierTotal" property="prixTotal" />
                </td>
			</tr>
        </tbody>
    </table>
    <br />
    <input type="hidden" name="action" value="modif" />
    <input type="submit" value="Recalculer">
	</form>
    </body>
</html>
