<%@page contentType="text/html" %>
<%@page pageEncoding="UTF-8" %>
<%@page language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" href="style.css" type="text/css" />
        <title>RandoOnLine - Payement</title>
    </head>
    <body>

    <h1>RandoOnLine</h1>
    <table border="0" width="100%">
        <thead>
            <tr>
                <th><a href="./index.jsp">Accueil</a></th>
                <th><a href="./Panier">Panier</a></th>
                <th><a href="./Articles">Liste des articles</a></th>
                <th>Passer  la caisse</th>
            </tr>
        </thead>
    </table>
    
    <h2>Payement</h2>

	<p>Rappel de la commande :</p>
    <table border="0" width="100%">
        <thead>
            <tr>
                <th>Reference</th>
                <th>Modele</th>
                <th>Prix</th>
            </tr>
        </thead>
        <tbody>
<c:forEach items="${articles}" var="artRef" >
            <tr>
                <td>
                	R&eacute;f&eacute;rence : ${artRef.ref}
                </td>
				<td>
					Mod&egrave;le : ${artRef.modele}
				</td>
	            <td>
	            	Prix : ${artRef.prix}
	            </td>
            </tr>
</c:forEach>
			<tr>
                <td colspan="2" class="tabTotal">Total :</td>
                <td>
<jsp:useBean id="panierTotal" class="com.articles.Panier" scope="request" />
					<jsp:getProperty name="panierTotal" property="prixTotal" />
                </td>
			</tr>
        </tbody>
    </table>

		<hr width="100%" size="1">

	<form method="post" action="./Client">
	<table border="0">
        <tbody>
        	<tr>
        		<td>Nom :</td>
        		<td><input type="text" id="nomCli" name="nomCli" size="10" value="" /></td>
        	</tr>
        	<tr>
        		<td>Prnom :</td>
        		<td><input type="text" id="prenomCli" name="prenomCli" size="10" value="" /></td>
        	</tr>
        	<tr>
        		<td>Adresse :</td>
        		<td><input type="text" id="addrCli" name="addrCli" size="10" value="" /></td>
        	</tr>
        	<tr>
        		<td>Code postal :</td>
        		<td><input type="text" id="cpCli" name="cpCli" size="10" value="" /></td>
        	</tr>
        	<tr>
        		<td>Ville :</td>
        		<td><input type="text" id="villeCli" name="villeCli" size="10" value="" /></td>
        	</tr>
        </tbody>
    </table>
    <p>Note : le payement se fera  la livraison de la commande.</p>
    <input type="hidden" name="action" value="payer" />
    <input type="button" value="Annuler" onclick="javascript:document.location='./Articles'" />&nbsp;
    <input type="submit" value="Payer" />
	</form>
    </body>
</html>
