<%@page contentType="text/html" %>
<%@page pageEncoding="UTF-8" %>
<%@page language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<link rel="stylesheet" href="style.css" type="text/css" />
        <title>RandoOnLine - Payement</title>
    </head>
    <body>

    <h1>RandoOnLine</h1>
    <table border="0" width="100%">
        <thead>
            <tr>
                <th><a href="./index.jsp">Accueil</a></th>
                <th><a href="./Panier">Panier</a></th>
                <th><a href="./Articles">Liste des articles</a></th>
                <th>Passer  la caisse</th>
            </tr>
        </thead>
    </table>
    
    <h2>Confirmation de la commande</h2>

	<p>Rappel de la commande :</p>
    <table border="0" width="100%">
        <thead>
            <tr>
                <th>Reference</th>
                <th>Modele</th>
                <th>Prix</th>
            </tr>
        </thead>
        <tbody>
<c:forEach items="${articles}" var="artRef" >
            <tr>
                <td>
                	R&eacute;f&eacute;rence : ${artRef.ref}
                </td>
				<td>
					Mod&egrave;le : ${artRef.modele}
				</td>
	            <td>
	            	Prix : ${artRef.prix}
	            </td>
            </tr>
</c:forEach>
			<tr>
                <td colspan="2" class="tabTotal">Total :</td>
                <td>
<jsp:useBean id="panierTotal" class="com.articles.Panier" scope="request" />
					<jsp:getProperty name="panierTotal" property="prixTotal" />
                </td>
			</tr>
        </tbody>
    </table>

		<hr width="100%" size="1">

	<jsp:useBean id="client" class="com.articles.Client" scope="request" />
    <p>Note : le payement se fera  la livraison de la commande  l'adresse suivante :<br />
		<jsp:getProperty name="client" property="nom" />&nbsp;<jsp:getProperty name="client" property="prenom" /><br />
    	<jsp:getProperty name="client" property="adresse" /><br />
    	<jsp:getProperty name="client" property="codePost" />&nbsp;<jsp:getProperty name="client" property="ville" />
    </p>
    
    <p><a href="./index.jsp">Accueil</a></p>
    </body>
</html>
